searchNodes=[{"ref":"Tabular.html","title":"Tabular","type":"module","doc":"Tabular converts an ascii table string into either a list of lists or a list of maps."},{"ref":"Tabular.html#to_list_of_lists/1","title":"Tabular.to_list_of_lists/1","type":"function","doc":"Converts an ascii table to a list of lists. Examples iex&gt; ascii_table = &quot;&quot;&quot; ...&gt; |---------------+--------------------| ...&gt; | name | dob | ...&gt; |---------------+--------------------| ...&gt; | Malcolm | September 20, 2468 | ...&gt; | Reynolds | | ...&gt; |---------------+--------------------| ...&gt; | Zoe Washburne | February 15, 2484 | ...&gt; |---------------+--------------------| ...&gt; &quot;&quot;&quot; ...&gt; Tabular.to_list_of_lists(ascii_table) [ [&quot;name&quot;, &quot;dob&quot;], [&quot;Malcolm Reynolds&quot;, &quot;September 20, 2468&quot;], [&quot;Zoe Washburne&quot;, &quot;February 15, 2484&quot;] ]"},{"ref":"Tabular.html#to_list_of_lists_no_header/1","title":"Tabular.to_list_of_lists_no_header/1","type":"function","doc":"Converts an ascii table to a list of lists, omitting the header row. Examples iex&gt; ascii_table = &quot;&quot;&quot; ...&gt; |---------------+--------------------| ...&gt; | name | dob | ...&gt; |---------------+--------------------| ...&gt; | Malcolm | September 20, 2468 | ...&gt; | Reynolds | | ...&gt; |---------------+--------------------| ...&gt; | Zoe Washburne | February 15, 2484 | ...&gt; |---------------+--------------------| ...&gt; &quot;&quot;&quot; ...&gt; Tabular.to_list_of_lists_no_header(ascii_table) [ [&quot;Malcolm Reynolds&quot;, &quot;September 20, 2468&quot;], [&quot;Zoe Washburne&quot;, &quot;February 15, 2484&quot;] ]"},{"ref":"Tabular.html#to_list_of_maps/1","title":"Tabular.to_list_of_maps/1","type":"function","doc":"Converts an ascii table to a list of maps. Examples iex&gt; ascii_table = &quot;&quot;&quot; ...&gt; |---------------+--------------------| ...&gt; | name | dob | ...&gt; |---------------+--------------------| ...&gt; | Malcolm | September 20, 2468 | ...&gt; | Reynolds | | ...&gt; |---------------+--------------------| ...&gt; | Zoe Washburne | February 15, 2484 | ...&gt; |---------------+--------------------| ...&gt; &quot;&quot;&quot; ...&gt; Tabular.to_list_of_maps(ascii_table) [ %{dob: &quot;September 20, 2468&quot;, name: &quot;Malcolm Reynolds&quot;}, %{dob: &quot;February 15, 2484&quot;, name: &quot;Zoe Washburne&quot;} ]"},{"ref":"Tabular.TestSupport.html","title":"Tabular.TestSupport","type":"module","doc":""},{"ref":"Tabular.TestSupport.html#compare/3","title":"Tabular.TestSupport.compare/3","type":"function","doc":""},{"ref":"Tabular.TestSupport.html#equal?/1","title":"Tabular.TestSupport.equal?/1","type":"function","doc":""},{"ref":"readme.html","title":"Tabular","type":"extras","doc":"Tabular Tabular is a reader for data in ascii table format. It allows you to read string data formatted like this: |------------------+--------------------| | name | dob | |------------------+--------------------| | Malcolm Reynolds | September 20, 2468 | |------------------+--------------------| | Zoe Washburne | February 15, 2484 | |------------------+--------------------| In Ascii Tables For Clearer Testing I discuss using ascii tables to improve comprehension of software tests."},{"ref":"readme.html#installation","title":"Tabular - Installation","type":"extras","doc":"The package can be installed by adding tabular to your list of dependencies in mix.exs: def deps do [ {:tabular, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#usage","title":"Tabular - Usage","type":"extras","doc":"Rows are returned as either lists of lists or lists of maps. |-----------------------+------------------------------+-----------------------------------| | **Ascii Table Value** | **Returned Value** | **Notes** | |-----------------------+------------------------------+-----------------------------------| | Malcolm Reynolds | \"Malcolm Reynolds\" | Most values returned as string | |-----------------------+------------------------------+-----------------------------------| | 123 | \"123\" | including numbers | |-----------------------+------------------------------+-----------------------------------| | wrapped strings are | \"wrapped strings are folded\" | Similar to yaml, wrapped | | folded | | strings are folded with a single | | | | space replacing the new line | |-----------------------+------------------------------+-----------------------------------| | | \"\" | an empty string is returned for | | | | blank cells | |-----------------------+------------------------------+-----------------------------------| | nil | nil | nil, true, and false are | | | | special values | |-----------------------+------------------------------+-----------------------------------| | true | true | | |-----------------------+------------------------------+-----------------------------------| | false | false | | |-----------------------+------------------------------+-----------------------------------| | :foo | :foo | Values starting with a colon are | | | | returned as atoms | |-----------------------+------------------------------+-----------------------------------| Reading a String Tabular.to_list_of_lists_no_header(table) |&gt; Enum.each(fn [col1, col2, col3] = row -&gt; # use row or column data here... end More examples can be found in the Examples of Testing With ASCII Tables repo. The docs can be found at https://hexdocs.pm/tabular."},{"ref":"readme.html#license","title":"Tabular - License","type":"extras","doc":"Blue Oak Model license. Please see LICENSE for details."}]